Index: cncfraese/config/3040t.stepconf
===================================================================
--- cncfraese/config/3040t.stepconf	(revision 0f6d75f35591ce747b254db0876ecb4f4ee46b97)
+++ cncfraese/config/3040t.stepconf	(revision 0f6d75f35591ce747b254db0876ecb4f4ee46b97)
@@ -0,0 +1,190 @@
+<?xml version="1.0" ?>
+<stepconf>
+  <property name="ahomepos" type="int" value="0"/>
+  <property name="ahomesw" type="int" value="0"/>
+  <property name="ahomevel" type="float" value="0.05"/>
+  <property name="alatchdir" type="int" value="0"/>
+  <property name="aleadscrew" type="int" value="8"/>
+  <property name="amaxacc" type="int" value="1200"/>
+  <property name="amaxlim" type="int" value="9999"/>
+  <property name="amaxvel" type="int" value="360"/>
+  <property name="amicrostep" type="int" value="2"/>
+  <property name="aminlim" type="int" value="-9999"/>
+  <property name="apulleyden" type="int" value="1"/>
+  <property name="apulleynum" type="int" value="1"/>
+  <property name="ascale" type="int" value="0"/>
+  <property name="asteprev" type="int" value="200"/>
+  <property name="axes" type="int" value="0"/>
+  <property name="classicladder" type="bool" value="False"/>
+  <property name="createshortcut" type="bool" value="True"/>
+  <property name="createsymlink" type="bool" value="True"/>
+  <property name="customhal" type="int" value="1"/>
+  <property name="digitsin" type="float" value="15.0"/>
+  <property name="digitsout" type="float" value="15.0"/>
+  <property name="dirhold" type="float" value="20000.0"/>
+  <property name="dirsetup" type="float" value="20000.0"/>
+  <property name="drivertype" type="string" value="other"/>
+  <property name="floatsin" type="float" value="10.0"/>
+  <property name="floatsout" type="float" value="10.0"/>
+  <property name="halui" type="bool" value="True"/>
+  <property name="ioaddr" type="string" value="0x378"/>
+  <property name="ioaddr2" type="string" value="Enter Address"/>
+  <property name="ioaddr3" type="string" value="Enter Address"/>
+  <property name="ladderconnect" type="bool" value="True"/>
+  <property name="ladderhaltype" type="int" value="0"/>
+  <property name="laddername" type="string" value="custom.clp"/>
+  <property name="latency" type="float" value="10000.0"/>
+  <property name="machinename" type="string" value="3040t"/>
+  <property name="manualtoolchange" type="bool" value="True"/>
+  <property name="md5sums" type="eval" value="[]"/>
+  <property name="modbus" type="bool" value="False"/>
+  <property name="number_pports" type="int" value="1"/>
+  <property name="period" type="int" value="25000"/>
+  <property name="pin1" type="string" value="unused-output"/>
+  <property name="pin10" type="string" value="unused-input"/>
+  <property name="pin10inv" type="bool" value="False"/>
+  <property name="pin11" type="string" value="unused-input"/>
+  <property name="pin11inv" type="bool" value="False"/>
+  <property name="pin12" type="string" value="unused-input"/>
+  <property name="pin12inv" type="bool" value="False"/>
+  <property name="pin13" type="string" value="unused-input"/>
+  <property name="pin13inv" type="bool" value="False"/>
+  <property name="pin14" type="string" value="unused-output"/>
+  <property name="pin14inv" type="bool" value="False"/>
+  <property name="pin15" type="string" value="unused-input"/>
+  <property name="pin15inv" type="bool" value="False"/>
+  <property name="pin16" type="string" value="unused-output"/>
+  <property name="pin16inv" type="bool" value="False"/>
+  <property name="pin17" type="string" value="unused-output"/>
+  <property name="pin17inv" type="bool" value="False"/>
+  <property name="pin1inv" type="bool" value="False"/>
+  <property name="pin2" type="string" value="xstep"/>
+  <property name="pin2inv" type="bool" value="False"/>
+  <property name="pin3" type="string" value="xdir"/>
+  <property name="pin3inv" type="bool" value="True"/>
+  <property name="pin4" type="string" value="ystep"/>
+  <property name="pin4inv" type="bool" value="False"/>
+  <property name="pin5" type="string" value="ydir"/>
+  <property name="pin5inv" type="bool" value="False"/>
+  <property name="pin6" type="string" value="zstep"/>
+  <property name="pin6inv" type="bool" value="False"/>
+  <property name="pin7" type="string" value="zdir"/>
+  <property name="pin7inv" type="bool" value="True"/>
+  <property name="pin8" type="string" value="unused-output"/>
+  <property name="pin8inv" type="bool" value="False"/>
+  <property name="pin9" type="string" value="unused-output"/>
+  <property name="pin9inv" type="bool" value="False"/>
+  <property name="pp2_direction" type="int" value="0"/>
+  <property name="pp2_pin1" type="string" value="unused-output"/>
+  <property name="pp2_pin10_in" type="string" value="unused-input"/>
+  <property name="pp2_pin10_in_inv" type="int" value="0"/>
+  <property name="pp2_pin11_in" type="string" value="unused-input"/>
+  <property name="pp2_pin11_in_inv" type="int" value="0"/>
+  <property name="pp2_pin12_in" type="string" value="unused-input"/>
+  <property name="pp2_pin12_in_inv" type="int" value="0"/>
+  <property name="pp2_pin13_in" type="string" value="unused-input"/>
+  <property name="pp2_pin13_in_inv" type="int" value="0"/>
+  <property name="pp2_pin14" type="string" value="unused-output"/>
+  <property name="pp2_pin14inv" type="int" value="0"/>
+  <property name="pp2_pin15_in" type="string" value="unused-input"/>
+  <property name="pp2_pin15_in_inv" type="int" value="0"/>
+  <property name="pp2_pin16" type="string" value="unused-output"/>
+  <property name="pp2_pin16inv" type="int" value="0"/>
+  <property name="pp2_pin17" type="string" value="unused-output"/>
+  <property name="pp2_pin17inv" type="int" value="0"/>
+  <property name="pp2_pin1inv" type="int" value="0"/>
+  <property name="pp2_pin2" type="string" value="unused-output"/>
+  <property name="pp2_pin2_in" type="string" value="unused-input"/>
+  <property name="pp2_pin2_in_inv" type="int" value="0"/>
+  <property name="pp2_pin2inv" type="int" value="0"/>
+  <property name="pp2_pin3" type="string" value="unused-output"/>
+  <property name="pp2_pin3_in" type="string" value="unused-input"/>
+  <property name="pp2_pin3_in_inv" type="int" value="0"/>
+  <property name="pp2_pin3inv" type="int" value="0"/>
+  <property name="pp2_pin4" type="string" value="unused-output"/>
+  <property name="pp2_pin4_in" type="string" value="unused-input"/>
+  <property name="pp2_pin4_in_inv" type="int" value="0"/>
+  <property name="pp2_pin4inv" type="int" value="0"/>
+  <property name="pp2_pin5" type="string" value="unused-output"/>
+  <property name="pp2_pin5_in" type="string" value="unused-input"/>
+  <property name="pp2_pin5_in_inv" type="int" value="0"/>
+  <property name="pp2_pin5inv" type="int" value="0"/>
+  <property name="pp2_pin6" type="string" value="unused-output"/>
+  <property name="pp2_pin6_in" type="string" value="unused-input"/>
+  <property name="pp2_pin6_in_inv" type="int" value="0"/>
+  <property name="pp2_pin6inv" type="int" value="0"/>
+  <property name="pp2_pin7" type="string" value="unused-output"/>
+  <property name="pp2_pin7_in" type="string" value="unused-input"/>
+  <property name="pp2_pin7_in_inv" type="int" value="0"/>
+  <property name="pp2_pin7inv" type="int" value="0"/>
+  <property name="pp2_pin8" type="string" value="unused-output"/>
+  <property name="pp2_pin8_in" type="string" value="unused-input"/>
+  <property name="pp2_pin8_in_inv" type="int" value="0"/>
+  <property name="pp2_pin8inv" type="int" value="0"/>
+  <property name="pp2_pin9" type="string" value="unused-output"/>
+  <property name="pp2_pin9_in" type="string" value="unused-input"/>
+  <property name="pp2_pin9_in_inv" type="int" value="0"/>
+  <property name="pp2_pin9inv" type="int" value="0"/>
+  <property name="pp3_direction" type="int" value="0"/>
+  <property name="pyvcp" type="bool" value="False"/>
+  <property name="pyvcpconnect" type="bool" value="True"/>
+  <property name="pyvcphaltype" type="int" value="0"/>
+  <property name="pyvcpname" type="string" value="custom.xml"/>
+  <property name="s32in" type="float" value="10.0"/>
+  <property name="s32out" type="float" value="10.0"/>
+  <property name="spindlecarrier" type="int" value="100"/>
+  <property name="spindlecpr" type="int" value="100"/>
+  <property name="spindlefiltergain" type="float" value="0.01"/>
+  <property name="spindlenearscale" type="float" value="1.5"/>
+  <property name="spindlepwm1" type="float" value="0.2"/>
+  <property name="spindlepwm2" type="float" value="0.8"/>
+  <property name="spindlespeed1" type="int" value="100"/>
+  <property name="spindlespeed2" type="int" value="800"/>
+  <property name="stepspace" type="float" value="5000.0"/>
+  <property name="steptime" type="float" value="5000.0"/>
+  <property name="tempexists" type="int" value="0"/>
+  <property name="units" type="int" value="1"/>
+  <property name="usespindleatspeed" type="bool" value="False"/>
+  <property name="xhomepos" type="float" value="0.0"/>
+  <property name="xhomesw" type="float" value="-5.5"/>
+  <property name="xhomevel" type="float" value="-5.0"/>
+  <property name="xlatchdir" type="int" value="0"/>
+  <property name="xleadscrew" type="float" value="4.0"/>
+  <property name="xmaxacc" type="float" value="200.0"/>
+  <property name="xmaxlim" type="float" value="279.0"/>
+  <property name="xmaxvel" type="float" value="40.0"/>
+  <property name="xmicrostep" type="float" value="8.0"/>
+  <property name="xminlim" type="float" value="-5.0"/>
+  <property name="xpulleyden" type="float" value="1.0"/>
+  <property name="xpulleynum" type="float" value="1.0"/>
+  <property name="xscale" type="float" value="400.0"/>
+  <property name="xsteprev" type="float" value="200.0"/>
+  <property name="yhomepos" type="float" value="0.0"/>
+  <property name="yhomesw" type="float" value="-5.5"/>
+  <property name="yhomevel" type="float" value="-5.0"/>
+  <property name="ylatchdir" type="int" value="0"/>
+  <property name="yleadscrew" type="float" value="4.0"/>
+  <property name="ymaxacc" type="float" value="200.0"/>
+  <property name="ymaxlim" type="float" value="385.0"/>
+  <property name="ymaxvel" type="float" value="38.0"/>
+  <property name="ymicrostep" type="float" value="8.0"/>
+  <property name="yminlim" type="float" value="-5.0"/>
+  <property name="ypulleyden" type="float" value="1.0"/>
+  <property name="ypulleynum" type="float" value="1.0"/>
+  <property name="yscale" type="float" value="400.0"/>
+  <property name="ysteprev" type="float" value="200.0"/>
+  <property name="zhomepos" type="float" value="0.0"/>
+  <property name="zhomesw" type="float" value="0.0"/>
+  <property name="zhomevel" type="float" value="0.05"/>
+  <property name="zlatchdir" type="int" value="0"/>
+  <property name="zleadscrew" type="float" value="4.0"/>
+  <property name="zmaxacc" type="float" value="150.0"/>
+  <property name="zmaxlim" type="float" value="40.0"/>
+  <property name="zmaxvel" type="float" value="11.0"/>
+  <property name="zmicrostep" type="float" value="8.0"/>
+  <property name="zminlim" type="float" value="-15.0"/>
+  <property name="zpulleyden" type="float" value="1.0"/>
+  <property name="zpulleynum" type="float" value="1.0"/>
+  <property name="zscale" type="float" value="400.0"/>
+  <property name="zsteprev" type="float" value="200.0"/>
+</stepconf>