Index: de.wigbels.putzaleit/kis-entry/KIS_Entry_Rumpfkeule.dxf
===================================================================
--- de.wigbels.putzaleit/kis-entry/KIS_Entry_Rumpfkeule.dxf	(revision c54b74beecb089a97417d408e23f9d7b85b9d761)
+++ de.wigbels.putzaleit/kis-entry/KIS_Entry_Rumpfkeule.dxf	(revision 45c949fb5689b84be9b2ac31719bba9c8580ca12)
@@ -14,57 +14,61 @@
 FFFF
   9
+$DIMADEC
+ 70
+2
+  9
+$GRIDUNIT
+ 10
+0.0
+ 20
+0.0
+  9
 $DIMASZ
  40
 2.5
   9
-$GRIDUNIT
- 10
-0.0
- 20
-0.0
+$DIMGAP
+ 40
+0.625
   9
-$DIMADEC
+$LUNITS
  70
 2
   9
-$DIMGAP
+$AUPREC
+ 70
+2
+  9
+$SPLINESEGS
+ 70
+8
+  9
+$INSUNITS
+ 70
+4
+  9
+$DIMEXO
  40
 0.625
   9
-$SPLINESEGS
- 70
-8
-  9
-$AUPREC
+$DIMLUNIT
  70
 2
   9
-$LUNITS
- 70
-2
+$GRIDMODE
+ 70
+1
   9
-$DIMEXO
- 40
-0.625
+$DIMTXT
+ 40
+2.5
   9
-$INSUNITS
+$LUPREC
  70
 4
   9
-$DIMLUNIT
- 70
-2
-  9
-$DIMTXT
- 40
-2.5
-  9
-$GRIDMODE
- 70
-1
-  9
-$LUPREC
- 70
-4
+$PSVPSCALE
+ 40
+1.0
   9
 $DIMSTYLE
@@ -72,7 +76,9 @@
 Standard
   9
-$PSVPSCALE
- 40
-1.0
+$PLIMMIN
+ 10
+0.0
+ 20
+0.0
   9
 $PLIMMAX
@@ -82,8 +88,10 @@
 297.0
   9
-$PLIMMIN
- 10
-0.0
- 20
+$PINSBASE
+ 10
+272.5
+ 20
+214.99999999999997
+ 30
 0.0
   9
@@ -91,12 +99,4 @@
  40
 1.25
-  9
-$PINSBASE
- 10
-272.5
- 20
-214.99999999999997
- 30
-0.0
   9
 $DIMAUNIT
@@ -2580,5 +2580,5 @@
 0.0
   0
-LINE
+CIRCLE
   5
 71
@@ -2586,55 +2586,49 @@
 AcDbEntity
 100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
--202.0
- 20
--19.999999999999972
- 30
-0.0
- 11
--75.261092284804192
- 21
--19.999999999999996
- 31
-0.0
-  0
-ARC
+AcDbCircle
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+110.0
+ 20
+-70.0
+ 30
+0.0
+ 40
+4.0
+  0
+LINE
   5
 72
 100
 AcDbEntity
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
-100
-AcDbCircle
- 10
--75.261092284804207
- 20
--120.0
- 30
-0.0
- 40
-100.0
-100
-AcDbArc
- 50
-72.6459753637387
- 51
-90.0
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+106.0
+ 20
+-66.0
+ 30
+0.0
+ 11
+114.0
+ 21
+-66.0
+ 31
+0.0
   0
 LINE
@@ -2654,45 +2648,43 @@
 ByLayer
  10
--140.0
- 20
--52.999999999999972
- 30
-0.0
- 11
--75.261092284804192
- 21
--52.999999999999972
- 31
-0.0
-  0
-ARC
+114.0
+ 20
+-66.0
+ 30
+0.0
+ 11
+114.0
+ 21
+-74.0
+ 31
+0.0
+  0
+LINE
   5
 74
 100
 AcDbEntity
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
-100
-AcDbCircle
- 10
--75.261092284804192
- 20
-47.000000000000028
- 30
-0.0
- 40
-100.0
-100
-AcDbArc
- 50
-270.0
- 51
-287.35402463626127
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+114.0
+ 20
+-74.0
+ 30
+0.0
+ 11
+106.0
+ 21
+-74.0
+ 31
+0.0
   0
 LINE
@@ -2712,13 +2704,13 @@
 ByLayer
  10
--45.433592971209556
- 20
--24.552002196497011
- 30
-0.0
- 11
--34.566407028790472
- 21
--27.947997803502972
+106.0
+ 20
+-74.0
+ 30
+0.0
+ 11
+106.0
+ 21
+-66.0
  31
 0.0
@@ -2740,45 +2732,43 @@
 ByLayer
  10
--4.7389077151958254
- 20
--32.499999999999986
- 30
-0.0
- 11
-70.0
- 21
--32.499999999999986
- 31
-0.0
-  0
-ARC
+106.0
+ 20
+-66.0
+ 30
+0.0
+ 11
+108.0
+ 21
+-66.0
+ 31
+0.0
+  0
+LINE
   5
 77
 100
 AcDbEntity
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
-100
-AcDbCircle
- 10
--4.7389077151958254
- 20
-67.500000000000014
- 30
-0.0
- 40
-100.0
-100
-AcDbArc
- 50
-252.6459753637387
- 51
-270.0
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+106.0
+ 20
+-68.0
+ 30
+0.0
+ 11
+106.0
+ 21
+-66.0
+ 31
+0.0
   0
 LINE
@@ -2798,13 +2788,13 @@
 ByLayer
  10
--45.433592971209535
- 20
--48.447997803502957
- 30
-0.0
- 11
--34.56640702879055
- 21
--45.052002196497028
+106.0
+ 20
+-72.0
+ 30
+0.0
+ 11
+106.0
+ 21
+-74.0
  31
 0.0
@@ -2826,45 +2816,43 @@
 ByLayer
  10
--4.7389077151959018
- 20
--40.499999999999986
- 30
-0.0
- 11
-70.0
- 21
--40.499999999999986
- 31
-0.0
-  0
-ARC
+106.0
+ 20
+-74.0
+ 30
+0.0
+ 11
+108.0
+ 21
+-74.0
+ 31
+0.0
+  0
+LINE
   5
 7A
 100
 AcDbEntity
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
-100
-AcDbCircle
- 10
--4.7389077151959045
- 20
--140.5
- 30
-0.0
- 40
-100.0
-100
-AcDbArc
- 50
-90.0
- 51
-107.35402463626131
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+114.0
+ 20
+-72.0
+ 30
+0.0
+ 11
+114.0
+ 21
+-74.0
+ 31
+0.0
   0
 LINE
@@ -2884,13 +2872,13 @@
 ByLayer
  10
-70.0
- 20
--32.499999999999986
- 30
-0.0
- 11
-70.0
- 21
--40.499999999999986
+114.0
+ 20
+-74.0
+ 30
+0.0
+ 11
+112.0
+ 21
+-74.0
  31
 0.0
@@ -2912,13 +2900,13 @@
 ByLayer
  10
--20.0
- 20
--41.671365170439124
- 30
-0.0
- 11
--20.0
- 21
--31.328634829560837
+114.0
+ 20
+-68.0
+ 30
+0.0
+ 11
+114.0
+ 21
+-66.0
  31
 0.0
@@ -2940,17 +2928,17 @@
 ByLayer
  10
--22.0
- 20
--42.000991410392984
- 30
-0.0
- 11
--22.0
- 21
--30.999008589606991
- 31
-0.0
-  0
-CIRCLE
+114.0
+ 20
+-66.0
+ 30
+0.0
+ 11
+112.0
+ 21
+-66.0
+ 31
+0.0
+  0
+LINE
   5
 7E
@@ -2958,21 +2946,25 @@
 AcDbEntity
 100
-AcDbCircle
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-110.0
- 20
--70.0
- 30
-0.0
- 40
-4.0
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+108.0
+ 20
+-74.0
+ 30
+0.0
+ 11
+108.0
+ 21
+-73.46410161513775
+ 31
+0.0
   0
 LINE
@@ -2992,5 +2984,61 @@
 ByLayer
  10
+106.53589838486225
+ 20
+-72.0
+ 30
+0.0
+ 11
 106.0
+ 21
+-72.0
+ 31
+0.0
+  0
+LINE
+  5
+80
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+106.53589838486225
+ 20
+-68.0
+ 30
+0.0
+ 11
+106.0
+ 21
+-68.0
+ 31
+0.0
+  0
+LINE
+  5
+81
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+108.0
  20
 -66.0
@@ -2998,13 +3046,349 @@
 0.0
  11
+108.0
+ 21
+-66.53589838486225
+ 31
+0.0
+  0
+LINE
+  5
+82
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+112.0
+ 20
+-66.0
+ 30
+0.0
+ 11
+112.0
+ 21
+-66.53589838486225
+ 31
+0.0
+  0
+LINE
+  5
+83
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+113.46410161513775
+ 20
+-68.0
+ 30
+0.0
+ 11
 114.0
  21
+-68.0
+ 31
+0.0
+  0
+LINE
+  5
+84
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+113.46410161513775
+ 20
+-72.0
+ 30
+0.0
+ 11
+114.0
+ 21
+-72.0
+ 31
+0.0
+  0
+LINE
+  5
+85
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+112.0
+ 20
+-74.0
+ 30
+0.0
+ 11
+112.0
+ 21
+-73.46410161513775
+ 31
+0.0
+  0
+LINE
+  5
+86
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+105.0
+ 20
+-74.0
+ 30
+0.0
+ 11
+115.0
+ 21
+-74.0
+ 31
+0.0
+  0
+LINE
+  5
+87
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+115.0
+ 20
+-74.0
+ 30
+0.0
+ 11
+115.0
+ 21
+-76.0
+ 31
+0.0
+  0
+LINE
+  5
+88
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+115.0
+ 20
+-76.0
+ 30
+0.0
+ 11
+105.0
+ 21
+-76.0
+ 31
+0.0
+  0
+LINE
+  5
+89
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+105.0
+ 20
+-76.0
+ 30
+0.0
+ 11
+105.0
+ 21
+-74.0
+ 31
+0.0
+  0
+LINE
+  5
+8A
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+105.0
+ 20
 -66.0
- 31
-0.0
-  0
-LINE
-  5
-80
+ 30
+0.0
+ 11
+106.0
+ 21
+-66.0
+ 31
+0.0
+  0
+LINE
+  5
+8B
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+106.0
+ 20
+-66.0
+ 30
+0.0
+ 11
+106.0
+ 21
+-74.0
+ 31
+0.0
+  0
+LINE
+  5
+8C
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+106.0
+ 20
+-74.0
+ 30
+0.0
+ 11
+105.0
+ 21
+-74.0
+ 31
+0.0
+  0
+LINE
+  5
+8D
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+105.0
+ 20
+-74.0
+ 30
+0.0
+ 11
+105.0
+ 21
+-66.0
+ 31
+0.0
+  0
+LINE
+  5
+8E
 100
 AcDbEntity
@@ -3026,4 +3410,60 @@
 0.0
  11
+115.0
+ 21
+-66.0
+ 31
+0.0
+  0
+LINE
+  5
+8F
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+115.0
+ 20
+-66.0
+ 30
+0.0
+ 11
+115.0
+ 21
+-74.0
+ 31
+0.0
+  0
+LINE
+  5
+90
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+115.0
+ 20
+-74.0
+ 30
+0.0
+ 11
 114.0
  21
@@ -3034,5 +3474,5 @@
 LINE
   5
-81
+91
 100
 AcDbEntity
@@ -3054,33 +3494,5 @@
 0.0
  11
-106.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-82
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-106.0
- 20
--74.0
- 30
-0.0
- 11
-106.0
+114.0
  21
 -66.0
@@ -3090,53 +3502,81 @@
 LINE
   5
-83
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-106.0
- 20
+92
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+105.0
+ 20
+-64.0
+ 30
+0.0
+ 11
+115.0
+ 21
+-64.0
+ 31
+0.0
+  0
+LINE
+  5
+93
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+115.0
+ 20
+-64.0
+ 30
+0.0
+ 11
+115.0
+ 21
 -66.0
- 30
-0.0
- 11
-108.0
- 21
+ 31
+0.0
+  0
+LINE
+  5
+94
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+115.0
+ 20
 -66.0
- 31
-0.0
-  0
-LINE
-  5
-84
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-106.0
- 20
--68.0
- 30
-0.0
- 11
-106.0
+ 30
+0.0
+ 11
+105.0
  21
 -66.0
@@ -3146,845 +3586,33 @@
 LINE
   5
-85
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-106.0
- 20
--72.0
- 30
-0.0
- 11
-106.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-86
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-106.0
- 20
--74.0
- 30
-0.0
- 11
-108.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-87
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-114.0
- 20
--72.0
- 30
-0.0
- 11
-114.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-88
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-114.0
- 20
--74.0
- 30
-0.0
- 11
-112.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-89
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-114.0
- 20
--68.0
- 30
-0.0
- 11
-114.0
- 21
+95
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+105.0
+ 20
 -66.0
- 31
-0.0
-  0
-LINE
-  5
-8A
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-114.0
- 20
--66.0
- 30
-0.0
- 11
-112.0
- 21
--66.0
- 31
-0.0
-  0
-LINE
-  5
-8B
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-108.0
- 20
--74.0
- 30
-0.0
- 11
-108.0
- 21
--73.46410161513775
- 31
-0.0
-  0
-LINE
-  5
-8C
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-106.53589838486225
- 20
--72.0
- 30
-0.0
- 11
-106.0
- 21
--72.0
- 31
-0.0
-  0
-LINE
-  5
-8D
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-106.53589838486225
- 20
--68.0
- 30
-0.0
- 11
-106.0
- 21
--68.0
- 31
-0.0
-  0
-LINE
-  5
-8E
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-108.0
- 20
--66.0
- 30
-0.0
- 11
-108.0
- 21
--66.53589838486225
- 31
-0.0
-  0
-LINE
-  5
-8F
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-112.0
- 20
--66.0
- 30
-0.0
- 11
-112.0
- 21
--66.53589838486225
- 31
-0.0
-  0
-LINE
-  5
-90
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-113.46410161513775
- 20
--68.0
- 30
-0.0
- 11
-114.0
- 21
--68.0
- 31
-0.0
-  0
-LINE
-  5
-91
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-113.46410161513775
- 20
--72.0
- 30
-0.0
- 11
-114.0
- 21
--72.0
- 31
-0.0
-  0
-LINE
-  5
-92
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-112.0
- 20
--74.0
- 30
-0.0
- 11
-112.0
- 21
--73.46410161513775
- 31
-0.0
-  0
-LINE
-  5
-93
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
+ 30
+0.0
+ 11
 105.0
- 20
--74.0
- 30
-0.0
- 11
-115.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-94
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-115.0
- 20
--74.0
- 30
-0.0
- 11
-115.0
- 21
--76.0
- 31
-0.0
-  0
-LINE
-  5
-95
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-115.0
- 20
--76.0
- 30
-0.0
- 11
-105.0
- 21
--76.0
- 31
-0.0
-  0
-LINE
+ 21
+-64.0
+ 31
+0.0
+  0
+SPLINE
   5
 96
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-105.0
- 20
--76.0
- 30
-0.0
- 11
-105.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-97
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-105.0
- 20
--66.0
- 30
-0.0
- 11
-106.0
- 21
--66.0
- 31
-0.0
-  0
-LINE
-  5
-98
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-106.0
- 20
--66.0
- 30
-0.0
- 11
-106.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-99
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-106.0
- 20
--74.0
- 30
-0.0
- 11
-105.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-9A
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-105.0
- 20
--74.0
- 30
-0.0
- 11
-105.0
- 21
--66.0
- 31
-0.0
-  0
-LINE
-  5
-9B
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-114.0
- 20
--66.0
- 30
-0.0
- 11
-115.0
- 21
--66.0
- 31
-0.0
-  0
-LINE
-  5
-9C
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-115.0
- 20
--66.0
- 30
-0.0
- 11
-115.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-9D
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-115.0
- 20
--74.0
- 30
-0.0
- 11
-114.0
- 21
--74.0
- 31
-0.0
-  0
-LINE
-  5
-9E
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-114.0
- 20
--74.0
- 30
-0.0
- 11
-114.0
- 21
--66.0
- 31
-0.0
-  0
-LINE
-  5
-9F
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-105.0
- 20
--64.0
- 30
-0.0
- 11
-115.0
- 21
--64.0
- 31
-0.0
-  0
-LINE
-  5
-A0
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-115.0
- 20
--64.0
- 30
-0.0
- 11
-115.0
- 21
--66.0
- 31
-0.0
-  0
-LINE
-  5
-A1
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-115.0
- 20
--66.0
- 30
-0.0
- 11
-105.0
- 21
--66.0
- 31
-0.0
-  0
-LINE
-  5
-A2
-100
-AcDbEntity
-100
-AcDbLine
-  8
-0
- 62
-256
-370
--1
-  6
-ByLayer
- 10
-105.0
- 20
--66.0
- 30
-0.0
- 11
-105.0
- 21
--64.0
- 31
-0.0
-  0
-SPLINE
-  5
-A3
   8
 0
@@ -4052,5 +3680,5 @@
 SPLINE
   5
-A4
+97
   8
 0
@@ -4118,5 +3746,5 @@
 SPLINE
   5
-A5
+98
   8
 0
@@ -4184,5 +3812,5 @@
 SPLINE
   5
-A6
+99
   8
 0
@@ -4246,4 +3874,376 @@
 -36.499999999999972
  30
+0.0
+  0
+LINE
+  5
+9A
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+70.0
+ 20
+-31.499999999999986
+ 30
+0.0
+ 11
+70.0
+ 21
+-41.499999999999986
+ 31
+0.0
+  0
+LINE
+  5
+9B
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+-140.0
+ 20
+-52.999999999999972
+ 30
+0.0
+ 11
+-85.555964744574084
+ 21
+-52.999999999999972
+ 31
+0.0
+  0
+ARC
+  5
+9C
+100
+AcDbEntity
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+100
+AcDbCircle
+ 10
+-85.555964744574084
+ 20
+47.000000000000028
+ 30
+0.0
+ 40
+100.0
+100
+AcDbArc
+ 50
+270.0
+ 51
+281.75564109459793
+  0
+LINE
+  5
+9D
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+-9.7051275402302579
+ 20
+-41.499999999999986
+ 30
+0.0
+ 11
+70.0
+ 21
+-41.499999999999986
+ 31
+0.0
+  0
+LINE
+  5
+9E
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+-65.182150471070344
+ 20
+-50.902541805352385
+ 30
+0.0
+ 11
+-30.078941813734005
+ 21
+-43.597458194647608
+ 31
+0.0
+  0
+ARC
+  5
+9F
+100
+AcDbEntity
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+100
+AcDbCircle
+ 10
+-9.7051275402302579
+ 20
+-141.5
+ 30
+0.0
+ 40
+100.0
+100
+AcDbArc
+ 50
+90.0
+ 51
+101.755641094598
+  0
+LINE
+  5
+A0
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+-202.0
+ 20
+-19.999999999999972
+ 30
+0.0
+ 11
+-85.555964744574013
+ 21
+-19.999999999999993
+ 31
+0.0
+  0
+ARC
+  5
+A1
+100
+AcDbEntity
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+100
+AcDbCircle
+ 10
+-85.555964744574027
+ 20
+-120.0
+ 30
+0.0
+ 40
+100.0
+100
+AcDbArc
+ 50
+78.244358905402009
+ 51
+90.0
+  0
+LINE
+  5
+A2
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+-65.182150471070287
+ 20
+-22.097458194647597
+ 30
+0.0
+ 11
+-30.078941813733863
+ 21
+-29.402541805352396
+ 31
+0.0
+  0
+LINE
+  5
+A3
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+-9.7051275402301229
+ 20
+-31.499999999999986
+ 30
+0.0
+ 11
+70.0
+ 21
+-31.499999999999986
+ 31
+0.0
+  0
+ARC
+  5
+A4
+100
+AcDbEntity
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+100
+AcDbCircle
+ 10
+-9.7051275402301229
+ 20
+68.500000000000014
+ 30
+0.0
+ 40
+100.0
+100
+AcDbArc
+ 50
+258.24435890540201
+ 51
+270.0
+  0
+LINE
+  5
+A5
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+-20.0
+ 20
+-42.031333571636353
+ 30
+0.0
+ 11
+-20.0
+ 21
+-30.968666428363605
+ 31
+0.0
+  0
+LINE
+  5
+A6
+100
+AcDbEntity
+100
+AcDbLine
+  8
+0
+ 62
+256
+370
+-1
+  6
+ByLayer
+ 10
+-22.0
+ 20
+-42.258697553901513
+ 30
+0.0
+ 11
+-22.0
+ 21
+-30.74130244609848
+ 31
 0.0
   0