Index: de.wigbels.ruby/hotcoldrain/draw_graphs.sh
===================================================================
--- de.wigbels.ruby/hotcoldrain/draw_graphs.sh	(revision 5ce93a3db663b9a9ee3eac40e5c4dab528bf313e)
+++ de.wigbels.ruby/hotcoldrain/draw_graphs.sh	(revision 53aed1c15da58c982558a390c0ef178f64c0c16e)
@@ -1,28 +1,58 @@
 #!/bin/bash
 
-rrdtool graph web/temperatur_1tag.png -w 800 -h 500 -s 'now - 1 day' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:temps9=weather.rrd:temps9:AVERAGE LINE2:temps9#4e9a06:"Temperatur aussen"
+rrdtool graph web/temperatur_1tag.png --title "Temperaturen im Tagesverlauf" --font TITLE:12 --vertical-label="Â° Celsius" -w 800 -h 500 -s 'now - 1 day' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:temps9=weather.rrd:temps9:AVERAGE LINE2:temps9#4e9a06:"Temperatur aussen\n" GPRINT:temps1:LAST:"Letzte Messung unten\: %2.2lf" GPRINT:temps2:LAST:"oben\: %2.2lf" GPRINT:temps9:LAST:"aussen\: %2.2lf"
 
-rrdtool graph web/temperatur_1woche.png -w 800 -h 500 -s 'now - 1 week' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:tempmins9=weather.rrd:temps9:MIN DEF:tempmaxs9=weather.rrd:temps9:MAX DEF:temps9=weather.rrd:temps9:AVERAGE CDEF:tempranges9=tempmaxs9,tempmins9,- LINE1:tempmins9#4e9a06 AREA:tempranges9#8ae234::STACK LINE1:tempmaxs9#4e9a06 LINE2:temps9#4e9a06:"Temperatur aussen"
+rrdtool graph web/temperatur_1woche.png --title "Temperaturen im Wochenverlauf" --font TITLE:12 --vertical-label="Â° Celsius" -w 800 -h 500 -s 'now - 1 week' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:tempmins9=weather.rrd:temps9:MIN DEF:tempmaxs9=weather.rrd:temps9:MAX DEF:temps9=weather.rrd:temps9:AVERAGE CDEF:tempranges9=tempmaxs9,tempmins9,- LINE1:tempmins9#4e9a06 AREA:tempranges9#8ae234::STACK LINE1:tempmaxs9#4e9a06 LINE2:temps9#4e9a06:"Temperatur aussen\n"
 
-rrdtool graph web/temperatur_1monat.png -w 800 -h 500 -s 'now - 1 month' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:tempmins9=weather.rrd:temps9:MIN DEF:tempmaxs9=weather.rrd:temps9:MAX DEF:temps9=weather.rrd:temps9:AVERAGE CDEF:tempranges9=tempmaxs9,tempmins9,- LINE1:tempmins9#4e9a06 AREA:tempranges9#8ae234::STACK LINE1:tempmaxs9#4e9a06 LINE2:temps9#4e9a06:"Temperatur aussen"
+rrdtool graph web/temperatur_1monat.png --title "Temperaturen im Monatsverlauf" --font TITLE:12 --vertical-label="Â° Celsius" -w 800 -h 500 -s 'now - 1 month' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:tempmins9=weather.rrd:temps9:MIN DEF:tempmaxs9=weather.rrd:temps9:MAX DEF:temps9=weather.rrd:temps9:AVERAGE CDEF:tempranges9=tempmaxs9,tempmins9,- LINE1:tempmins9#4e9a06 AREA:tempranges9#8ae234::STACK LINE1:tempmaxs9#4e9a06 LINE2:temps9#4e9a06:"Temperatur aussen\n"
 
 
-rrdtool graph web/luftfeuchtigkeit_1tag.png -w 800 -h 500 -s 'now - 1 day' -e 'now' DEF:hums1=weather.rrd:hums1:AVERAGE LINE2:hums1#204a87:"Luftfeuchtigkeit unten"  DEF:hums2=weather.rrd:hums2:AVERAGE LINE2:hums2#f57900:"Luftfeuchtigkeit oben" DEF:hums9=weather.rrd:hums9:AVERAGE LINE2:hums9#4e9a06:"Luftfeuchtigkeit aussen"
+rrdtool graph web/luftfeuchtigkeit_1tag.png --title "Luftfeuchtigkeit im Tagesverlauf" --font TITLE:12 --vertical-label="%" -w 800 -h 500 -s 'now - 1 day' -e 'now' DEF:hums1=weather.rrd:hums1:AVERAGE LINE2:hums1#204a87:"Luftfeuchtigkeit unten"  DEF:hums2=weather.rrd:hums2:AVERAGE LINE2:hums2#f57900:"Luftfeuchtigkeit oben" DEF:hums9=weather.rrd:hums9:AVERAGE LINE2:hums9#4e9a06:"Luftfeuchtigkeit aussen\n" GPRINT:hums1:LAST:"Letzte Messung unten\: %3.2lf" GPRINT:hums2:LAST:"oben\: %3.2lf" GPRINT:hums9:LAST:"aussen\: %3.2lf"
 
-rrdtool graph web/luftfeuchtigkeit_1woche.png -w 800 -h 500 -s 'now - 1 week' -e 'now' DEF:hums1=weather.rrd:hums1:AVERAGE LINE2:hums1#204a87:"Luftfeuchtigkeit unten"  DEF:hums2=weather.rrd:hums2:AVERAGE LINE2:hums2#f57900:"Luftfeuchtigkeit oben" DEF:hums9=weather.rrd:hums9:AVERAGE LINE2:hums9#4e9a06:"Luftfeuchtigkeit aussen"
+rrdtool graph web/luftfeuchtigkeit_1woche.png --title "Luftfeuchtigkeit im Wochenverlauf" --font TITLE:12 --vertical-label="%" -w 800 -h 500 -s 'now - 1 week' -e 'now' DEF:hums1=weather.rrd:hums1:AVERAGE LINE2:hums1#204a87:"Luftfeuchtigkeit unten"  DEF:hums2=weather.rrd:hums2:AVERAGE LINE2:hums2#f57900:"Luftfeuchtigkeit oben" DEF:hums9=weather.rrd:hums9:AVERAGE LINE2:hums9#4e9a06:"Luftfeuchtigkeit aussen\n"
 
-rrdtool graph web/luftfeuchtigkeit_1monat.png -w 800 -h 500 -s 'now - 1 month' -e 'now' DEF:hums1=weather.rrd:hums1:AVERAGE LINE2:hums1#204a87:"Luftfeuchtigkeit unten"  DEF:hums2=weather.rrd:hums2:AVERAGE LINE2:hums2#f57900:"Luftfeuchtigkeit oben" DEF:hums9=weather.rrd:hums9:AVERAGE LINE2:hums9#4e9a06:"Luftfeuchtigkeit aussen"
+rrdtool graph web/luftfeuchtigkeit_1monat.png --title "Luftfeuchtigkeit im Monatsverlauf" --font TITLE:12 --vertical-label="%" -w 800 -h 500 -s 'now - 1 month' -e 'now' DEF:hums1=weather.rrd:hums1:AVERAGE LINE2:hums1#204a87:"Luftfeuchtigkeit unten"  DEF:hums2=weather.rrd:hums2:AVERAGE LINE2:hums2#f57900:"Luftfeuchtigkeit oben" DEF:hums9=weather.rrd:hums9:AVERAGE LINE2:hums9#4e9a06:"Luftfeuchtigkeit aussen\n"
 
 
-rrdtool graph web/regen_1tag.png -w 800 -h 500 -s 'now - 1 day' -e 'now' -v mm/Stunde DEF:rains9=weather.rrd:rains9:AVERAGE CDEF:rainph=rains9,3600,*,1,*,0.295,* CDEF:rainpd=rainph,24,* VDEF:totalrain=rainpd,AVERAGE GPRINT:totalrain:"Total %6.0lf mm/Tag" LINE2:rainph#729fcf
+rrdtool graph web/regen_1tag.png \
+--title "Regen im Tagesverlauf" \
+--font TITLE:12 -w 800 -h 500 \
+-s 'now - 1 day' -e 'now' \
+-v mm/Stunde \
+DEF:rains9=weather.rrd:rains9:AVERAGE \
+CDEF:rainph=rains9,3600,*,1,*,0.295,* \
+CDEF:rainpd=rainph,24,* \
+VDEF:totalrain=rainpd,AVERAGE \
+GPRINT:totalrain:"Total %6.0lf mm/Tag" \
+LINE2:rainph#729fcf
 
-rrdtool graph web/regen_1woche.png -w 800 -h 500 -s 'now - 1 week' -e 'now' -v mm/Stunde DEF:rains9=weather.rrd:rains9:AVERAGE CDEF:rainph=rains9,3600,*,1,*,0.295,* CDEF:rainpw=rainph,168,* VDEF:totalrain=rainpw,AVERAGE GPRINT:totalrain:"Total %6.0lf mm/Woche" LINE2:rainph#729fcf
+rrdtool graph web/regen_1woche.png \
+--title "Regen im Wochenverlauf" \
+--font TITLE:12 -w 800 -h 500 \
+-s 'now - 1 week' -e 'now' \
+-v mm/Stunde \
+DEF:rains9=weather.rrd:rains9:AVERAGE \
+CDEF:rainph=rains9,3600,*,1,*,0.295,* \
+CDEF:rainpw=rainph,168,* \
+VDEF:totalrain=rainpw,AVERAGE \
+GPRINT:totalrain:"Total %6.0lf mm/Woche" \
+LINE2:rainph#729fcf
 
-rrdtool graph web/regen_1monat.png -w 800 -h 500 -s 'now - 1 month' -e 'now' -v mm/Tag DEF:rains9=weather.rrd:rains9:AVERAGE CDEF:rainpd=rains9,3600,*,24,*,0.295,* CDEF:rainpm=rainpd,30,* VDEF:totalrain=rainpm,AVERAGE GPRINT:totalrain:"Total %6.0lf mm/Monat" LINE2:rainpd#729fcf
+rrdtool graph web/regen_1monat.png \
+--title "Regen im Monatsverlauf" \
+--font TITLE:12 -w 800 -h 500 \
+-s 'now - 1 month' -e 'now' \
+-v mm/Tag \
+DEF:rains9=weather.rrd:rains9:AVERAGE \
+CDEF:rainpd=rains9,3600,*,24,*,0.295,* \
+CDEF:rainpm=rainpd,30,* \
+VDEF:totalrain=rainpm,AVERAGE \
+GPRINT:totalrain:"Total %6.0lf mm/Monat" \
+LINE2:rainpd#729fcf
 
 
-rrdtool graph web/wind_1tag.png -w 800 -h 500 -s 'now - 1 day' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
+rrdtool graph web/wind_1tag.png --title "Wind im Tagesverlauf" --font TITLE:12 -w 800 -h 500 -s 'now - 1 day' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
 
-rrdtool graph web/wind_1woche.png -w 800 -h 500 -s 'now - 1 week' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
+rrdtool graph web/wind_1woche.png --title "Wind im Wochenverlauf" --font TITLE:12 -w 800 -h 500 -s 'now - 1 week' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
 
-rrdtool graph web/wind_1monat.png -w 800 -h 500 -s 'now - 1 month' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
+rrdtool graph web/wind_1monat.png --title "Wind im Monatsverlauf" --font TITLE:12 -w 800 -h 500 -s 'now - 1 month' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"