Index: de.wigbels.ruby/hotcoldrain/draw_graphs.sh
===================================================================
--- de.wigbels.ruby/hotcoldrain/draw_graphs.sh	(revision 1801b3261c2028d3444c0565efb820b99a0dd8e4)
+++ de.wigbels.ruby/hotcoldrain/draw_graphs.sh	(revision 05062c94aa4ab51fc430c88bf9ed0a375a97903a)
@@ -9,4 +9,6 @@
 rrdtool graph web/temperatur_1jahr.png --title "Temperaturen im Jahresverlauf" --font TITLE:12 --vertical-label="Â° Celsius" -s 'now - 1 year' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:tempmins9=weather.rrd:temps9:MIN DEF:tempmaxs9=weather.rrd:temps9:MAX DEF:temps9=weather.rrd:temps9:AVERAGE CDEF:tempranges9=tempmaxs9,tempmins9,- LINE1:tempmins9#4e9a06 AREA:tempranges9#8ae234::STACK LINE1:tempmaxs9#4e9a06 LINE2:temps9#4e9a06:"Temperatur aussen\n"
 
+rrdtool graph web/temperatur_5jahr.png --title "Temperaturen im Jahresverlauf" --font TITLE:12 --vertical-label="Â° Celsius" -s 'now - 5 year' -e 'now' DEF:temps1=weather.rrd:temps1:AVERAGE LINE2:temps1#204a87:"Temperatur unten" DEF:temps2=weather.rrd:temps2:AVERAGE LINE2:temps2#f57900:"Temperatur oben" DEF:tempmins9=weather.rrd:temps9:MIN DEF:tempmaxs9=weather.rrd:temps9:MAX DEF:temps9=weather.rrd:temps9:AVERAGE CDEF:tempranges9=tempmaxs9,tempmins9,- LINE1:tempmins9#4e9a06 AREA:tempranges9#8ae234::STACK LINE1:tempmaxs9#4e9a06 LINE2:temps9#4e9a06:"Temperatur aussen\n"
+
 
 rrdtool graph web/luftfeuchtigkeit_1tag.png --title "Luftfeuchtigkeit im Tagesverlauf" --font TITLE:12 --vertical-label="%" -s 'now - 1 day' -e 'now' DEF:hums1=weather.rrd:hums1:AVERAGE LINE2:hums1#204a87:"Luftfeuchtigkeit unten"  DEF:hums2=weather.rrd:hums2:AVERAGE LINE2:hums2#f57900:"Luftfeuchtigkeit oben" DEF:hums9=weather.rrd:hums9:AVERAGE LINE2:hums9#4e9a06:"Luftfeuchtigkeit aussen\n" GPRINT:hums1:LAST:"Letzte Messung unten\: %3.2lf" GPRINT:hums2:LAST:"oben\: %3.2lf" GPRINT:hums9:LAST:"aussen\: %3.2lf"
@@ -17,4 +19,6 @@
 
 rrdtool graph web/luftfeuchtigkeit_1jahr.png --title "Luftfeuchtigkeit im Jahresverlauf" --font TITLE:12 --vertical-label="%" -s 'now - 1 year' -e 'now' DEF:hums1=weather.rrd:hums1:AVERAGE LINE2:hums1#204a87:"Luftfeuchtigkeit unten"  DEF:hums2=weather.rrd:hums2:AVERAGE LINE2:hums2#f57900:"Luftfeuchtigkeit oben" DEF:hums9=weather.rrd:hums9:AVERAGE LINE2:hums9#4e9a06:"Luftfeuchtigkeit aussen\n"
+
+rrdtool graph web/luftfeuchtigkeit_5jahr.png --title "Luftfeuchtigkeit im Jahresverlauf" --font TITLE:12 --vertical-label="%" -s 'now - 5 year' -e 'now' DEF:hums1=weather.rrd:hums1:AVERAGE LINE2:hums1#204a87:"Luftfeuchtigkeit unten"  DEF:hums2=weather.rrd:hums2:AVERAGE LINE2:hums2#f57900:"Luftfeuchtigkeit oben" DEF:hums9=weather.rrd:hums9:AVERAGE LINE2:hums9#4e9a06:"Luftfeuchtigkeit aussen\n"
 
 
@@ -67,4 +71,17 @@
 LINE2:rainpd#729fcf
 
+rrdtool graph web/regen_5jahr.png \
+--title "Regen im Jahresverlauf" \
+--font TITLE:12 \
+-s 'now - 5 year' -e 'now' \
+-v mm/Tag \
+DEF:rains9=weather.rrd:rains9:AVERAGE \
+CDEF:rainpd=rains9,3600,*,24,*,0.295,* \
+CDEF:rainpm=rainpd,30,* \
+VDEF:totalrain=rainpm,AVERAGE \
+GPRINT:totalrain:"Total %6.0lf mm/Jahr" \
+LINE2:rainpd#729fcf
+
+
 rrdtool graph web/wind_1tag.png --title "Wind im Tagesverlauf" --font TITLE:12 -s 'now - 1 day' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
 
@@ -74,2 +91,4 @@
 
 rrdtool graph web/wind_1jahr.png --title "Wind im Jahresverlauf" --font TITLE:12 -s 'now - 1 year' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
+
+rrdtool graph web/wind_5jahr.png --title "Wind im Jahresverlauf" --font TITLE:12 -s 'now - 5 year' -e 'now' -v km/h DEF:winds9=weather.rrd:winds9:AVERAGE LINE2:winds9#2e3436:"Wind km/h"
Index: de.wigbels.ruby/hotcoldrain/web/index.html
===================================================================
--- de.wigbels.ruby/hotcoldrain/web/index.html	(revision 1801b3261c2028d3444c0565efb820b99a0dd8e4)
+++ de.wigbels.ruby/hotcoldrain/web/index.html	(revision 05062c94aa4ab51fc430c88bf9ed0a375a97903a)
@@ -8,4 +8,5 @@
 <img src="temperatur_1monat.png"> <img src="luftfeuchtigkeit_1monat.png"> <br />
 <img src="temperatur_1jahr.png"> <img src="luftfeuchtigkeit_1jahr.png"> <br />
+<img src="temperatur_5jahr.png"> <img src="luftfeuchtigkeit_5jahr.png"> <br />
 
 <h2>Regen / Wind</h2>
@@ -14,4 +15,5 @@
 <img src="regen_1monat.png"> <img src="wind_1monat.png"> <br />
 <img src="regen_1jahr.png"> <img src="wind_1jahr.png"> <br />
+<img src="regen_5jahr.png"> <img src="wind_5jahr.png"> <br />
 
 <p>Stationskoordinaten: 53&deg;34'17.1"N 9&deg;29'21.8"E, Stade-Ottenbeck</p>